searchNodes=[{"doc":"This module provides a helper method translate_schema_field to translate a changeset field based on PO files","ref":"GettextSchemaField.html","title":"GettextSchemaField","type":"module"},{"doc":"Returns the translation of the field. If the msgstr is missing in the PO file, the original field is returned","ref":"GettextSchemaField.html#translate_schema_field/3","title":"GettextSchemaField.translate_schema_field/3","type":"function"},{"doc":"","ref":"Mix.Tasks.Gettext.SchemaFields.html","title":"Mix.Tasks.Gettext.SchemaFields","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Gettext.SchemaFields.html#run/1","title":"Mix.Tasks.Gettext.SchemaFields.run/1","type":"function"},{"doc":"GettextSchemaField can be use for the internationalization of schema fields with Gettext, such as the ones defined with Ecto. For example: defmodule Hello.Accounts.User do use Ecto.Schema import Ecto.Changeset schema &quot;users&quot; do field :email , :string field :first_name , :string field :last_name , :string timestamps ( ) end end will generate the following in schema.pot : # Hello.Accounts.User msgid &quot;Hello.Accounts.User.id&quot; msgstr &quot;&quot; msgid &quot;Hello.Accounts.User.email&quot; msgstr &quot;&quot; msgid &quot;Hello.Accounts.User.first_name&quot; msgstr &quot;&quot; msgid &quot;Hello.Accounts.User.last_name&quot; msgstr &quot;&quot; msgid &quot;Hello.Accounts.User.updated_at&quot; msgstr &quot;&quot;","ref":"readme.html","title":"GettextSchemaField","type":"extras"},{"doc":"The package can be installed by adding gettext_schema_field to your list of dependencies in mix.exs : def deps do [ { :gettext_schema_field , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"GettextSchemaField - Installation","type":"extras"},{"doc":"To generate the .pot file containing all schema fields, run: $ mix gettext.schema_fields By default, this will generate schema.pot file under priv/gettext . You can override the name of the file in config.exs . For instance, if you want the generated .pot file to be called my_schema.pot : config :my_app , gettext_schema_file_name : &quot;my_schema&quot; Once a .pot file has been generated, run mix gettext.merge priv/gettext to merge the .pot file into .po . Refer to the Gettext documentation for more info.","ref":"readme.html#generating-pot-file","title":"GettextSchemaField - Generating .pot file","type":"extras"},{"doc":"GettextSchemaField provides a utility function translate_schema_field , to translate a field from a changeset: GettextSchemaField . translate_schema_field ( MyApp.Gettext , changeset , field )","ref":"readme.html#translating-schema-fields-in-your-application","title":"GettextSchemaField - Translating schema fields in your application","type":"extras"},{"doc":"# hello_web/views/changeset_view.ex defmodule HelloWeb.ChangesetView do use HelloWeb , :view @doc &quot;&quot;&quot; Traverses and translates changeset errors. See `Ecto.Changeset.traverse_errors/2` and `HelloWeb.ErrorHelpers.translate_error/1` for more details. &quot;&quot;&quot; def translate_errors ( changeset ) do Ecto.Changeset . traverse_errors ( changeset , &amp; translate_error / 1 ) end def translate_errors_and_fields ( changeset ) do changeset |&gt; translate_errors |&gt; Enum . map ( fn { field , errors } -&gt; { translate_field ( changeset , field ) , errors } end ) |&gt; Enum . into ( %{ } ) end defp translate_field ( changeset , field ) do GettextSchemaField . translate_schema_field ( HelloWeb.Gettext , changeset , field ) end def render ( &quot;error.json&quot; , %{ changeset : changeset } ) do # When encoded, the changeset returns its errors # as a JSON object. So we just pass it forward. %{ errors : translate_errors_and_fields ( changeset ) } end end","ref":"readme.html#sample-usage-in-phoenix-json-view","title":"GettextSchemaField - Sample usage in Phoenix JSON View","type":"extras"}]